Bug 145111 - CAN-2005-0005 buffer overflow in ImageMagick
CAN-2005-0005 buffer overflow in ImageMagick
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=moderate,public=20050117,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 10:03 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 22:03:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iDEFENSE advisory (3.64 KB, text/plain)
2005-01-14 10:03 EST, Josh Bressers
no flags Details
Patch from upstream (1.93 KB, patch)
2005-01-17 14:26 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-01-14 10:03:44 EST
iDEFENSE has reported a buffer overflow in the PSD (Photoshop Document) handling
code.

I'm attaching the iDEFENSE advisory.

The embargo date is currently 2005-01-14 (today) but a request has been made to
move this date.
Comment 1 Josh Bressers 2005-01-14 10:03:44 EST
Created attachment 109782 [details]
iDEFENSE advisory
Comment 2 Josh Bressers 2005-01-14 10:06:43 EST
This issue should also affect RHEL2.1
Comment 4 Josh Bressers 2005-01-17 14:26:01 EST
Created attachment 109881 [details]
Patch from upstream

This is the upstream patch.  There is a little bit of cruft in here and it will
need to be cleaned up.
Comment 5 Mark J. Cox (Product Security) 2005-03-23 05:07:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-070.html

Note You need to log in before you can comment on or make changes to this bug.